<xml> </xml>

db4o |

# ObjectContainer.delete Method

deletes a stored object permanently.

void delete(
object obj
);

#### Parameters

obj
  the object to be deleted from the

      ObjectContainer

  .

#### Remarks

deletes a stored object permanently.
Note that this method has to be called for every single object individually. Delete does not recurse to object members. Simple and array member types are destroyed.
Object members of the passed object remain untouched, unless cascaded deletes are cascadeOnDelete or for cascadeOnDelete .
The method has no effect, if the passed object is not stored in the

    ObjectContainer

.
A subsequent call to

    set()

with the same object newly stores the object to the

    ObjectContainer

.

    delete()

triggers the callback method objectOnDelete which can be also used for cascaded deletes.

#### See Also

ObjectContainer Interface | com.db4o Namespace | cascadeOnDelete | cascadeOnDelete | Using callbacks